Bug 1849815 - Add support for bareudp tunnels (MPLSoUDP) in iproute2
Summary: Add support for bareudp tunnels (MPLSoUDP) in iproute2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: iproute
Version: 8.3
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: rc
: 8.4
Assignee: Guillaume Nault
QA Contact: Mingyu Shi
Sagar Dubewar
URL:
Whiteboard:
Depends On: 1839788 1896011
Blocks: 1403499 1892802 1892808 1875967
TreeView+ depends on / blocked
 
Reported: 2020-06-22 21:02 UTC by Guillaume Nault
Modified: 2021-07-05 13:06 UTC (History)
7 users (show)

Fixed In Version: iproute-5.9.0-1.el8
Doc Type: Technology Preview
Doc Text:
.Introducing `bareudp` device support for encapsulating MPLS traffic over UDP tunnel as a Technology Preview The support for `bareudp` devices is now available with the `ip link` command as a Technology Preview. The `bareudp` devices provide L3 encapsulation tunnelling support for routing traffic with different L3 protocols, such as unicast and multicast multi protocol label switching (MPLS) and IPv4/IPv6 inside the UDP tunnel. You can start routing MPLS packets in UDP with the help of adding `tc` filters and actions. For example, to create a new `bareudp` device, use the following command: ---- # ip link add dev bareudp0 type bareudp dstport 6635 ethertype mpls_uc ---- To route MPLS incoming packets in UDP tunnel using the bareudp0 device, use the following command: ---- # tc qdisc add dev enp1s0 ingress # tc filter add dev enp1s0 ingress proto mpls_uc matchall \ > action tunnel_key set src_ip 2001:db8::22 dst_ip 2001:db8::21 id 0 \ > action mirred egress redirect dev bareudp0 ---- For more information about options and parameters used while creating `bareudp` devices, refer to the `Bareudp Type Support` section in the `ip-link(8)` man page.
Clone Of:
Environment:
Last Closed: 2021-05-18 15:00:18 UTC
Type: Feature Request
Target Upstream Version:


Attachments (Terms of Use)
verified.log (25.40 KB, text/plain)
2021-02-18 04:04 UTC, Mingyu Shi
no flags Details

Description Guillaume Nault 2020-06-22 21:02:34 UTC
We need to implement the bareudp link type in "ip link", so that we can configure and test the bareudp kernel module.

Comment 1 Guillaume Nault 2020-07-13 14:54:35 UTC
Upstream commit: a6c5c952ab2e ("ip link: initial support for bareudp devices")
Link: https://git.kernel.org/pub/scm/network/iproute2/iproute2.git/commit/?h=main&id=a6c5c952ab2e0e94eb937b1235649978e22e8125

Comment 14 Mingyu Shi 2021-02-18 04:04:24 UTC
Created attachment 1757694 [details]
verified.log

Verified with:
iproute-5.9.0-3.el8.x86_64
iproute-tc-5.9.0-3.el8.x86_64
4.18.0-284.el8.x86_64

Comment 16 errata-xmlrpc 2021-05-18 15:00:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (iproute bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1653


Note You need to log in before you can comment on or make changes to this bug.